﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits=" MindFusion.Scheduling.Samples.VB.BusinessObjects._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>MindFusion WebPlanner Sample - Business Objects</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>
	<input type="hidden" id="collapsed" runat="server"/>
	<div id="header" style="height: 49px;">
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample</h1>
			<p>
				This sample shows how to synchronize the Schedule with an underlying XML data store
				of custom business objects. It uses a helper converter to represent the custom business
				objects as Appointment instances.</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px;">
		<div style="position: absolute; left: 0px; top: 0px; bottom: 0px; right: 0px">
			<MindFusion:Calendar ID="Calendar1" runat="server" Theme="Vista" Visible="True" Height="100%"
				Width="100%" AutoPostBack="True" OnItemCreated="Calendar1_ItemCreated" OnItemDeleted="Calendar1_ItemDeleted"
				OnItemModified="Calendar1_ItemModified" OnItemInplaceEdited="Calendar1_ItemInplaceEdited"
				FormShowScript="onFormShow">
				<MonthSettings HeaderStyle="Title" />
			</MindFusion:Calendar>
		</div>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	<script type="text/javascript">
	    /**
	    * Hide the Recurrence button on the Edit popup form to stop the user from creating recurrences interactively.
	    */
	    function onFormShow(sender, args)
	    {
	        if (args.get_form().getId() == 'EditForm')
	        {
	            args.get_form().getControls()['btnRecurrence'].element.style.display = 'none';
	        }
	        else if (args.get_form().getId() == "RecurrenceForm")
	            args.set_cancel(true);
	    }
	</script>
	</form>
</body>
</html>
